Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.queue
Class DestinationResource

    java.lang.Object
      org.hornetq.rest.queue.DestinationResource

Direct Known Subclasses:
  QueueResource, TopicResource

    public class DestinationResource

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected java.lang.String` | `destination`
`protected PostMessage` | `sender`
`protected DestinationServiceManager` | `serviceManager`

Constructor Summary
`DestinationResource()`

Method Summary
`java.lang.String` | `getDestination()`
`PostMessage` | `getSender()`
`DestinationServiceManager` | `getServiceManager()`
`void` | `setDestination(java.lang.String destination)`
`void` | `setSender(PostMessage sender)`
`void` | `setServiceManager(DestinationServiceManager serviceManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destination

    protected java.lang.String destination

### sender

    protected PostMessage sender

### serviceManager

    protected DestinationServiceManager serviceManager

Constructor Detail

### DestinationResource

    public DestinationResource()

Method Detail

### getServiceManager

    public DestinationServiceManager getServiceManager()

### setServiceManager

    public void setServiceManager(DestinationServiceManager serviceManager)

### getSender

    public PostMessage getSender()

### setSender

    public void setSender(PostMessage sender)

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.